Modify

Opened 3 weeks ago

Closed 3 days ago

#19367 closed enhancement (fixed)

History browser: do not reset UI after (re)loading of history

Reported by: simon04 Owned by: simon04
Priority: normal Milestone: 20.06
Component: Core Version:
Keywords: template_report history reset reload Cc:

Description (last modified by skyper)

Follow up of #19254, see comment 8

What steps will reproduce the problem?

  1. Open history of w123
  2. Click "Nodes"
  3. Open history of w456 OR reload history

What is the expected result?

History dialog of w123 changes back to "Tags"

What happens instead?

History dialog of w123 is not changed

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-06-02 08:27:29 +0200 (Tue, 02 Jun 2020)
Build-Date:2020-06-02 11:11:35
Revision:16538
Relative:URL: ^/trunk

Identification: JOSM/1.5 (16538 en) Linux Arch Linux
Memory Usage: 669 MB / 3531 MB (174 MB allocated, but free)
Java version: 1.8.0_252-b09, Oracle Corporation, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 3840x2160
Maximum Screen Size: 3840x2160
VM arguments: [-Djosm.restart=true]

Attachments (0)

Change History (9)

comment:1 Changed 3 weeks ago by simon04

Owner: changed from team to simon04
Status: assignednew

comment:2 Changed 3 weeks ago by simon04

Resolution: fixed
Status: newclosed

In 16591/josm:

fix #19367 - History browser: do not reset UI after (re)loading of history

comment:3 Changed 3 weeks ago by skyper

Description: modified (diff)

comment:4 Changed 3 weeks ago by skyper

Resolution: fixed
Status: closedreopened

This is not completely fixed:

  • the versions on the left side change
  • the position within the table changes
Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-06-11 22:48:46 +0200 (Thu, 11 Jun 2020)
Revision:16609
Build-Date:2020-06-12 01:30:47
URL:https://josm.openstreetmap.de/svn/trunk

comment:5 Changed 12 days ago by simon04

In 16694/josm:

see #19367 - History browser: do not reset UI after (re)loading of history (version table)

comment:6 in reply to:  4 ; Changed 12 days ago by simon04

Replying to skyper:

  • the position within the table changes

Which table are you referring to? Has this issue been fixed with r16694?

comment:7 in reply to:  6 ; Changed 7 days ago by skyper

Replying to simon04:

Replying to skyper:

  • the position within the table changes

Which table are you referring to? Has this issue been fixed with r16694?

I am refering to the children table and it is not fixed:

  1. Have a relation with 250 members
  2. Select number 200
  3. Open history of member 200
  4. Selection in the first history viewer disappears and I end up with members 35-55 in view.
Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-06-25 22:04:25 +0200 (Thu, 25 Jun 2020)
Revision:16717
Build-Date:2020-06-26 01:30:48
URL:https://josm.openstreetmap.de/svn/trunk

comment:8 Changed 4 days ago by stoecker

Milestone: 20.0620.07

comment:9 in reply to:  7 Changed 3 days ago by simon04

Milestone: 20.0720.06
Resolution: fixed
Status: reopenedclosed

Replying to skyper:

I am refering to the children table and it is not fixed:

Not so easy to fix, I've created a separate ticket: #19470


We've already made good improvements for the 20.06 release …

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain simon04.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.